Get all dashboard aggregates
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"matchRate": {
"matchRate": 123,
"matchRateAmount": 123,
"matchedCount": 123,
"totalCount": 123,
"unmatchedCount": 123
},
"sla": {
"averageResolutionMs": 123,
"pendingOverdue": 123,
"pendingWithinSLA": 123,
"resolvedLate": 123,
"resolvedOnTime": 123,
"slaComplianceRate": 123,
"totalExceptions": 123
},
"updatedAt": "<string>",
"volume": {
"matchedAmount": "<string>",
"matchedTransactions": 123,
"periodEnd": "<string>",
"periodStart": "<string>",
"totalAmount": "<string>",
"totalTransactions": 123,
"unmatchedAmount": "<string>",
"unmatchedCount": 123
}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Get all dashboard aggregates
Use this endpoint to retrieve combined dashboard aggregates including volume, match rate, and SLA statistics.
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
dashboard
Get all dashboard aggregates
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"matchRate": {
"matchRate": 123,
"matchRateAmount": 123,
"matchedCount": 123,
"totalCount": 123,
"unmatchedCount": 123
},
"sla": {
"averageResolutionMs": 123,
"pendingOverdue": 123,
"pendingWithinSLA": 123,
"resolvedLate": 123,
"resolvedOnTime": 123,
"slaComplianceRate": 123,
"totalExceptions": 123
},
"updatedAt": "<string>",
"volume": {
"matchedAmount": "<string>",
"matchedTransactions": 123,
"periodEnd": "<string>",
"periodStart": "<string>",
"totalAmount": "<string>",
"totalTransactions": 123,
"unmatchedAmount": "<string>",
"unmatchedCount": 123
}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Path Parameters
The unique identifier of the reconciliation context.
Query Parameters
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Source ID filter
Was this page helpful?

